/*	SwordBook.h - Sword API wrapper for Commentaries.

	Copyright 2003 Will Thimbleby (wjt100@york.ac.uk)

	This program is free software; you can redistribute it and/or modify it under the terms of the
	GNU General Public License as published by the Free Software Foundation version 2.

	This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
	even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
	General Public License for more details. (http://www.gnu.org/licenses/gpl.html)
*/

#import "SwordModule.h"

#ifdef __cplusplus
#include <treekeyidx.h>
#include "msstringmgr.h"
#endif

@class SwordModule;

@interface SwordBook : SwordModule
{
	NSMutableArray *contents;
}

- (id)initWithSwordManager:(SwordManager *)theManager moduleName:(NSString *)name;
- (NSArray *)contents;

#ifdef __cplusplus
- (void)createContents:(sword::TreeKeyIdx*)treeKey;
- (id)createContentsB:(sword::TreeKeyIdx*)treeKey;
#endif

@end
